From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/snort/
Date: Tue, 16 Mar 2021 21:51:01 +0000 (UTC) [thread overview]
Message-ID: <1615931116.e9bf9cb3caad389d0908af434eb09b268907c18b.sam@gentoo> (raw)
commit: e9bf9cb3caad389d0908af434eb09b268907c18b
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 16 21:45:16 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 16 21:45:16 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9bf9cb3
net-analyzer/snort: forcefully remove .la files
Fixes build with slibtool where they don't exist in the first place.
Closes: https://bugs.gentoo.org/775179
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-analyzer/snort/snort-2.9.15.1.ebuild | 6 +++---
net-analyzer/snort/snort-2.9.16-r100.ebuild | 6 +++---
net-analyzer/snort/snort-2.9.16.ebuild | 6 +++---
3 files changed, 9 insertions(+), 9 deletions(-)
diff --git a/net-analyzer/snort/snort-2.9.15.1.ebuild b/net-analyzer/snort/snort-2.9.15.1.ebuild
index 21bdbd51248..440d87d8359 100644
--- a/net-analyzer/snort/snort-2.9.15.1.ebuild
+++ b/net-analyzer/snort/snort-2.9.15.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -154,8 +154,8 @@ src_install() {
rm "${ED}"/usr/share/doc/"${PF}"/Makefile* || die "Failed to remove doc make files"
# Remove unneeded .la files (Bug #382863)
- rm "${ED}"/usr/$(get_libdir)/snort_dynamicengine/libsf_engine.la || die
- rm "${ED}"/usr/$(get_libdir)/snort_dynamicpreprocessor/libsf_*_preproc.la || die "Failed to remove libsf_?_preproc.la"
+ rm -f "${ED}"/usr/$(get_libdir)/snort_dynamicengine/libsf_engine.la || die
+ rm -f "${ED}"/usr/$(get_libdir)/snort_dynamicpreprocessor/libsf_*_preproc.la || die "Failed to remove libsf_?_preproc.la"
# Set the correct lib path for dynamicengine, dynamicpreprocessor, and dynamicdetection
sed -i -e 's|/usr/local/lib|/usr/'$(get_libdir)'|g' \
diff --git a/net-analyzer/snort/snort-2.9.16-r100.ebuild b/net-analyzer/snort/snort-2.9.16-r100.ebuild
index c3363729e9a..66b2b845e87 100644
--- a/net-analyzer/snort/snort-2.9.16-r100.ebuild
+++ b/net-analyzer/snort/snort-2.9.16-r100.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -159,8 +159,8 @@ src_install() {
rm "${ED}"/usr/share/doc/"${PF}"/Makefile* || die "Failed to remove doc make files"
# Remove unneeded .la files (Bug #382863)
- rm "${ED}"/usr/$(get_libdir)/snort_dynamicengine/libsf_engine.la || die
- rm "${ED}"/usr/$(get_libdir)/snort_dynamicpreprocessor/libsf_*_preproc.la || die "Failed to remove libsf_?_preproc.la"
+ rm -f "${ED}"/usr/$(get_libdir)/snort_dynamicengine/libsf_engine.la || die
+ rm -f "${ED}"/usr/$(get_libdir)/snort_dynamicpreprocessor/libsf_*_preproc.la || die "Failed to remove libsf_?_preproc.la"
# Set the correct lib path for dynamicengine, dynamicpreprocessor, and dynamicdetection
sed -i -e 's|/usr/local/lib|/usr/'$(get_libdir)'|g' \
diff --git a/net-analyzer/snort/snort-2.9.16.ebuild b/net-analyzer/snort/snort-2.9.16.ebuild
index 6e7835a5310..4a3f0392b5c 100644
--- a/net-analyzer/snort/snort-2.9.16.ebuild
+++ b/net-analyzer/snort/snort-2.9.16.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -154,8 +154,8 @@ src_install() {
rm "${ED}"/usr/share/doc/"${PF}"/Makefile* || die "Failed to remove doc make files"
# Remove unneeded .la files (Bug #382863)
- rm "${ED}"/usr/$(get_libdir)/snort_dynamicengine/libsf_engine.la || die
- rm "${ED}"/usr/$(get_libdir)/snort_dynamicpreprocessor/libsf_*_preproc.la || die "Failed to remove libsf_?_preproc.la"
+ rm -f "${ED}"/usr/$(get_libdir)/snort_dynamicengine/libsf_engine.la || die
+ rm -f "${ED}"/usr/$(get_libdir)/snort_dynamicpreprocessor/libsf_*_preproc.la || die "Failed to remove libsf_?_preproc.la"
# Set the correct lib path for dynamicengine, dynamicpreprocessor, and dynamicdetection
sed -i -e 's|/usr/local/lib|/usr/'$(get_libdir)'|g' \
next reply other threads:[~2021-03-16 21:51 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-16 21:51 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-20 6:26 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/snort/ Sam James
2024-03-20 6:26 Sam James
2024-03-20 6:26 Sam James
2024-03-20 6:26 Sam James
2023-05-01 13:36 Sam James
2021-04-09 2:05 John Helmert III
2021-04-09 2:05 John Helmert III
2021-04-03 19:53 Sam James
2021-01-04 20:14 Andreas K. Hüttel
2020-12-27 5:40 Sam James
2020-12-27 5:05 Sam James
2020-04-14 8:53 Jeroen Roovers
2020-01-09 14:08 Jeroen Roovers
2019-12-15 11:55 Jeroen Roovers
2019-01-19 17:10 Sergei Trofimovich
2018-02-11 11:02 Michał Górny
2017-11-01 11:48 Andreas Hüttel
2017-10-29 14:49 Jonas Stein
2016-10-14 13:54 Richard Farina
2016-06-28 9:45 Patrick Lauer
2016-03-31 8:26 Patrick Lauer
2015-12-21 12:42 Patrick Lauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1615931116.e9bf9cb3caad389d0908af434eb09b268907c18b.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox